01 <?php
02 namespace Example\UserRegistration\Domain\Service;
03 
04 use TYPO3\Flow\Annotations as Flow;
05 
06 use Example\UserRegistration\Domain\Model\User;
07 use Example\UserRegistration\Domain\Repository\UserRepository;
08 
09 class UserRegistrationService
10 {
11   /**
12    * @var \Example\UserRegistration\Domain\Repository\UserRepository
13    * @Flow\Inject
14    */
15   protected $userRepository;
16   
17   /**
18    * @param User $user
19    */
20   public function register(User $user)
21   {
22     $this->userRepository->register($user);
23   }
24 }
